pmltrans(1)

NAME
pmltoxmp - convert a PhotoML file to XMP format

SYNOPSIS
pmltoxmp [-h] [-n] (([-o path] [-s fstr]) | ([-g fid] [-f gid])) [xmlfile]

DESCRIPTION
pmltoxmp is a shell script that calls xsltproc to transform a subset of data in a PhotoML XML file into XMP format. If a single frame is specified for output, it is written to stdout, otherwise a separate output file is written for each frame in the PhotoML file.

The primary purpose of conversion to XMP format is to allow a subset of PhotoML data to be included in the metadata of a digital image by using the exiftool utility, which can use XMP data as input. For example, assuming that PhotoML data for roll 2001r12 is in file photoml.xml, and file 2001r22f01n01.jpg is a scan of frame 01 on that roll, the following commands would copy a subset of the PhotoML data into the EXIF metadata of the digital image:

    pmltoxmp -g 2001r12 -f 01 photoml.xml > tmp.xmp
    exiftool -TagsFromFile tmp.xmp 2001r22f01n01.jpg

OPTIONS
pmltoxmp accepts the following options:

-h  Display usage information.

-n  Omit the validity test prior to applying the XSL.

-o path
    Specify the output path. The default value is ".".

-s fstr
    Specify image id format string. This format is used to construct both the EXIF DocumentName value and the output filename (when relevant). Occurrences of "%g" and "%f" in this string are substituted with the group and frame ids respectively. The default value is "%gf%f".

-g gid
    Specify id of group containing frame to convert.

-f fid
    Specify id of frame to convert.

AUTHOR
Brendt Wohlberg <photoml@wohlberg.net>

COPYRIGHT
Copyright © 2010,2011 Brendt Wohlberg <photoml@wohlberg.net>

This program is free software; you can redistribute it and/or modify it under the terms of version 2 of the GNU General Public License <http://www.gnu.org/licenses/gpl-2.0.txt>.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
xsltproc(1) exiftool(1)